# AddAttachmentInbound Message

Click on the **'Messages' icon** to open the Messages page. Click **New**.

![](/files/-MRVq_U0BWFfOtHkWwoH)

## New Message Modal

The fields to be configured for the AddAttachmentInbound New Message modal are as follows:

|  #  | Field        | Description                                                         | Value                  |
| :-: | ------------ | ------------------------------------------------------------------- | ---------------------- |
|  1  | Message name | The message name that is unique for this integration.               | 'AddAttachmentInbound' |
|  2  | Type         | The primary purpose of the message.                                 | 'Update'               |
|  3  | Direction    | The direction(s) this message is configured to support.             | 'Inbound'              |
|  4  | Description  | The description for this message and the requirement it is meeting. | \<Your description>    |

*Your AddAttachmentInbound New Message modal should look like this:*

![](/files/-MRVqp11AMSNM7ZtFv_V)

5\) Click **Submit and view** to further configure the Message.

## Response Fields

Navigate to **Message > Response**.

The Response fields to be configured are as follows:

|  #  | Field    | Description                                                                                                                              | Value                 |
| :-: | -------- | ---------------------------------------------------------------------------------------------------------------------------------------- | --------------------- |
|  6  | Response | The immediate synchronous response to this message.                                                                                      | \<lookup: 'Response'> |
| 7\* | Async    | Turn this option on if you want inbound processing to occur asynchronously or this message is the first of an asynchronous message pair. | \<false>              |

*\*This field is automatically defaulted to true.*

*Your Response form should look like this:*

![](/files/-MRVr3Aoqkm6-a74BxiA)

8\) Navigate to **Message > Bond**.

## Bond Fields

The Bond fields to be configured are as follows:

|  #  | Field               | Description                                                                                                                                                                                                 | Value    |
| :-: | ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
|  \* | Bond ownership      | Determine if the sender should own the bond or not in order for this message to be processed? Use 'Ignore' to process regardless of the owner flag.  *(Choices: Ignore, Must own, Must not own.)*           | 'Ignore' |
|  \* | Bond condition type | The type of conditional check made on the bond. (*None:* no checks are made. *State:* checks against the state are made using the conditional checkboxes. *Scripted:* the 'Bond condition' script is used.) | 'State'  |
|  9  | Bond pending        | Process this message when the bond state is Pending.                                                                                                                                                        | \<true>  |
|  10 | Bond open           | Process this message when the bond state is Open.                                                                                                                                                           | \<true>  |

*\*These fields are automatically populated.*

*Your Bond form should look like this:*

![](/files/-MRVrHGquN0hBlNgUvwl)

11\) Navigate to **Inbound > Settings**.

## Inbound Settings Fields

The Inbound Settings fields to be configured are as follows:

|  #  | Field                   | Description                                                                    | Value      |
| :-: | ----------------------- | ------------------------------------------------------------------------------ | ---------- |
|  12 | Bond reference method\* | Method of searching for and validating an existing bond for incoming messages. | 'Internal' |

{% hint style="info" %}
*\*Bond reference method:*

*Internal -* lookup using the internal reference only.

*External -* lookup using the external reference only.

*Both -* lookup using both the internal and external references.
{% endhint %}

{% hint style="success" %}
We have chosen the 'Internal' method because, in the payload we built, we supplied the `correlation_id`.
{% endhint %}

*Your Inbound Settings form should look like this:*

![](/files/-MRVse9G40TZRPTrUEKP)

13\) Navigate to **Advanced > Script Editor**.

## Script Editor Fields

Click on **View > Inbound**.

The Script Editor fields to be configured are as follows:

|  #  | Field                      | Description        | Value                                                       |
| :-: | -------------------------- | ------------------ | ----------------------------------------------------------- |
|  14 | Payload to Stage (Inbound) | The script to run. | Replace the commented out instructions with the code below. |

*The code in the 'Payload to Stage' script field should look like this:*

```javascript
(function processPayloadToStage(payload, stage, transaction, message) {

  // set either internal/external reference on stage depending on what is needed.
  // make sure to configure the Bond reference lookup on the Message to be Internal/External

    stage.internal_reference = payload.correlation_id;

})(payload, stage, transaction, message);
```

*Your Script Editor fields should look like this:*

![](/files/-MRVt0d6NMnmEMUM3AlT)

15\) Click **Save**.

We can now move on to **Testing**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sharelogic.com/unifi/2.2/integration-guides/incident-attachment-poller-guide/messages/addattachmentinbound-message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
